`timescale 1ns / 1ps

module duty_ctrl(
    input CLK,
    output reg Q,
    input [7:0] DUTY
    );

    reg [7:0] CNT;
    
    initial CNT <= 0;
    
    always @ (posedge CLK) begin
        CNT <= CNT+1;
        Q <= (CNT==0 & DUTY!=0) ? 1 : (CNT==DUTY) ? 0 : Q;
    end
endmodule
